%define anolis_release 4

%bcond_without optional_test

Name:           perl-Sys-Syslog
Epoch:          1
Version:        0.36
Release:        %{anolis_release}%{?dist}
Summary:        Perl interface to the UNIX syslog(3) calls
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Sys-Syslog
Source0:        https://cpan.metacpan.org/authors/id/S/SA/SAPER/Sys-Syslog-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make glibc-common
BuildRequires:  perl-devel perl-generators perl-interpreter
BuildRequires:  perl(POSIX) perl(Socket) perl(vars)
BuildRequires:  perl(File::Copy) perl(File::Spec) perl(strict) perl(Carp)
BuildRequires:  perl(XSLoader) perl(warnings::register) perl(warnings)
BuildRequires:  perl(constant) perl(Exporter) perl(Fcntl) perl(File::Basename)
BuildRequires:  perl(Config) perl(ExtUtils::Constant) perl(ExtUtils::MakeMaker) >= 6.76

# Tests: 
BuildRequires:  perl(FileHandle) perl(Data::Dumper) perl(Test::More)
%if !%{defined perl_bootstrap} && %{with optional_test}
BuildRequires:  perl(Test::NoWarnings) perl(Test::Pod) >= 1.14 perl(Test::Pod::Coverage) >= 1.06 perl(Test::Portability::Files)
%endif

Requires:       perl(Fcntl) perl(XSLoader)
 
%{?perl_default_filter}
 
%description
'Sys::Syslog' is an interface to the UNIX 'syslog(3)' program. Call 'syslog()' with a string priority and a list of 'printf()' 
args just like 'syslog(3)'.

Sys::Syslog should work on any Perl since 5.6.0. This module is regularly compiled and tested by the CPAN Testers on 
various combinations of Perl and operating systems.

%package doc
Summary: Doc files for %{name}
Requires: %{name} = %{EVR}
BuildArch: noarch

%description doc
Doc files for %{name}
 
%prep
%autosetup -p1 -n Sys-Syslog-%{version}
 
chmod -x eg/*
rm -rf fallback
perl -i -ne 'print $_ unless m{^fallback/}' MANIFEST
# Recode files
for F in Changes; do
    iconv -f ISO-8859-1 -t UTF-8 < "$F" >"${F}.utf8"
    touch -r "$F" "${F}.utf8"
    mv "${F}.utf8" "$F"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}
 
%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*
 
%check
make test
 
%files
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Sys*
%{_mandir}/man3/*

%files doc
%doc README README.pod Changes eg
 
%changelog
* Wed Apr 12 2023 yuanhui <yuanhui@linux.alibaba.com> 1:0.36-4
- Optimize the spec file

* Tue Feb 07 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.36-3
- rebuild with perl_bootstrap disabled

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.36-2
- rebuild with perl 5.36.0

* Thu Apr 21 2022 happy_orange <songnannan@linux.alibaba.com> - 1:0.36-1
- Init package from upstream
